<id>
EU Cookies Privacy Popup YaBB 2.6.11
</id>

<version>
0.4
</version>

<mod info>
This mod adds a EU Cookie Privacy notice

Version History
---------------
0.1 - First release - September 02, 2014
0.2 - Updated for 2.6.11, added Admin editing functions - December 16, 2014
0.3 - Added sample Privacy.html (courtesy Red Barchetta)
0.4 - default variables added

For YaBB 2.6.11 

Instructions:

Apply the mod and upload (in ASCII mode):

cgi-bin/yabb2/Admin/Modlist.pm
cgi-bin/yabb2/NewSettings.pm
cgi-bin/yabb2/Settings_Main.pm
cgi-bin/Languages/English/Admin.lng
cgi-bin/Languages/English/Main.lng
cgi-bin/yabb2/Sources/Subs.pm
cgi-bin/yabb2/Templates/default/default.html
yabbfiles/Templates/Forum/default.css

Edit Privacy.html to include your site name and contact email. Upload Privacy.html to your site's document root. (If you are using the Coppa Compliance Mod or have your own privacy statement, use that instead.)
In Admin Center -> Forum Settings -> Members -> Privacy -> set location of your privacy statement and how many days for the Privacy Cookie to expire and the popup shows again.

</mod info>

<author>
Dandello
</author>

<homepage>
http://www.yabbforumsoftware.com/cgi-bin/yabb2/YaBB.pl
</homepage>

<edit file>
Admin/ModList.pm
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
    $eucookie = q~EU_Cookies_Privacy_Popup_for_YaBB 2.6.11|Dandello|This mod adds a popup EU Cookie Privacy notice|0.4|03/05/15~;
    push @installed_mods, $eucookie;
</add before>

<edit file>
Admin/NewSettings.pm
</edit file>

<search for>
1;
EOF
</search for>

<add before>
\$privacy_url = $privacy_url; #URL of Privacy & Cookies Statement
\$privacy_cookie = $privacy_cookie; #duration of Privacy Cookie

</add before>

<edit file>
Admin/Settings_Main.pm
</edit file>

<search for>
        {
            header => $settings_txt{'profile'},
        },
</search for>

<add before>
        {
            header => $settings_txt{'privacy_cookie'},
        },
        {
            description => qq~<label for="privacy_url">$admin_txt{'privacy_cookie1'}</label>~,
            input_html => qq~<input type="text" size="30" name="privacy_url" id="privacy_url" value="$privacy_url" />~,
            name => 'privacy_url',
            validate => 'text',
        },
        {
            description => qq~<label for="privacy_cookie">$admin_txt{'privacy_cookie2'}</label>~,
            input_html => qq~<input type="text" size="5" name="privacy_cookie" id="privacy_cookie" value="$privacy_cookie" />~,
            name => 'privacy_cookie',
            validate => 'number',
        },
</add before>

<edit file>
Languages/English/Admin.lng
</edit file>

<search for>
1;
</search for>

<add before>
$settings_txt{'privacy_cookie'} = q~Privacy &amp; Cookies Policy~;
$admin_txt{'privacy_cookie1'} = q~The URL of this site's Privacy &amp; Cookies Policy~;
$admin_txt{'privacy_cookie2'} = q~Duration of Privacy Cookie (in days).<br /><span class="small">The length of time before the Privacy Popup appears again.</span>~;
</add before>

<edit file>
Languages/English/Main.lng
</edit file>

<search for>
1;
</search for>

<add before>
$maintxt{'privacy_cookie'} = qq~<p>Our website uses cookies and other tracking protocols. By continuing we assume your permission to deploy these protocols, as detailed in our <a href='$privacy_url' rel='nofollow' title='Privacy &amp; Cookies Policy'>Privacy &amp; Cookies Policy</a>.</p>~;
</add before>

<edit file>
Sources/Subs.pm
</edit file>

<search for>
    $yynavback .=
qq~$tabsep <span onclick="toTop(0)" class="cursor">$img_txt{'102'}</span> &nbsp; $tabsep~;
</search for>

<add after>
    $yyeuload = euload();
</add after>

<search for>
1;
</search for>

<add before>
sub euload {
    my $comp = 'comp';
    my $cookiename = "$cookieusername$comp";
    use CGI qw(:standard);
    my $value = cookie("$cookiename");    
    my $cookieValue = 'on';
    my $cookieDuration = $privacy_cookie || 14;

    if ( $value ) {
        $euload =  q~<script type="text/javascript">
    document.getElementById("cookie-law").style.display = 'none';
</script>~;
    }
    else {
        $euload =  qq~<script type="text/javascript">
    var dropCookie = true;                      // false disables the Cookie, allowing you to style the banner
    var cookieDuration = $cookieDuration;                    // Number of days before the cookie expires, and the banner reappears
    var cookieName = '$cookiename';        // Name of our cookie
    var cookieValue = 'on';                     // Value of cookie
        
    function createDiv(){
        var divb = document.getElementById("cookie-law");
        divb.innerHTML = "$maintxt{'privacy_cookie'}";
        createCookie(window.cookieName,window.cookieValue, window.cookieDuration); // Create the cookie
    }
    function createCookie(name,value,days) {
        if (days) {
            var date = new Date();
            date.setTime(date.getTime()+(days*24*60*60*1000));
            var expires = "; expires="+date.toGMTString();
        }
        else var expires = "";
        if(window.dropCookie) {
            document.cookie = name+"="+value+expires+"; path=/";
        }
    }
 
    function checkCookie(name) {
        var nameEQ = name + "=";
        var ca = document.cookie.split(';');
        for(var i=0;i < ca.length;i++) {
            var c = ca[i];
            while (c.charAt(0)==' ') c = c.substring(1,c.length);
            if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
        }
        return null;
    }

    function eraseCookie(name) {
        createCookie(name,"",-1);
    }
 
    window.onload = function(){ createDiv(); }
</script>~;
    }
    return $euload;
}

</add before>

<edit file>
Templates/default/default.html
</edit file>

<search for>
</div>
{yabb high}
</search for>

<replace>
    <div id="cookie-law"></div>
</div>
{yabb high}{yabb euload}
</replace>

<edit file>
../../public_html/yabbfiles/Templates/Forum/default.css
</edit file>

<search for>
.off-color { color:#ccc;}
</search for>
<add after>

#cookie-law {
    max-width:940px;
    background:#EEE;
    margin:0 auto;
    border:solid #000 medium;
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    border-radius: 15px;
}
 
#cookie-law p {
    padding:10px;
    font-size:1.2em;
    font-weight:bold;
    text-align:center;
    color:#f00;
    margin:0;
}
</add after>